# remirepo/Fedora spec file for php-zendframework-zend-mvc-form
#
# Copyright (c) 2016-2017 Remi Collet
# License: CC-BY-SA
# http://creativecommons.org/licenses/by-sa/4.0/
#
# Please, preserve the changelog entries
#
%global gh_commit    28bf47ce6661fd71f1b8d68f9b6bc8f841f6aeb0
%global gh_short     %(c=%{gh_commit}; echo ${c:0:7})
%global gh_owner     zendframework
%global gh_project   zend-mvc-form
%global php_home     %{_datadir}/php
%global library      Form

Name:           php-%{gh_owner}-%{gh_project}
Version:        1.0.0
Release:        8%{?dist}
Summary:        Zend Framework Mvc-Form component

License:        BSD
URL:            https://framework.zend.com/
Source0:        https://github.com/%{gh_owner}/%{gh_project}/archive/%{gh_commit}/%{name}-%{version}-%{gh_short}.tar.gz

BuildArch:      noarch
# For test
BuildRequires:  php-cli
BuildRequires:  php-autoloader(%{gh_owner}/zend-code)             >= 2.6.3
BuildRequires:  php-autoloader(%{gh_owner}/zend-form)             >= 2.8.4
BuildRequires:  php-autoloader(%{gh_owner}/zend-i18n)             >= 2.7.2
# Because of polyfill
BuildRequires:  php-autoloader(%{gh_owner}/zend-servicemanager)

# From composer, "require": {
#        "php": "^5.6 || ^7.0",
#        "zendframework/zend-code": "^2.6.3 || ^3.0.2",
#        "zendframework/zend-form": "^2.8.4",
#        "zendframework/zend-i18n": "^2.7.2"
Requires:       php(language) >= 5.6
Requires:       php-autoloader(%{gh_owner}/zend-code)             >= 2.6.3
Requires:       php-autoloader(%{gh_owner}/zend-code)             <  4
Requires:       php-autoloader(%{gh_owner}/zend-form)             >= 2.8.4
Requires:       php-autoloader(%{gh_owner}/zend-form)             <  3
Requires:       php-autoloader(%{gh_owner}/zend-i18n)             >= 2.7.2
Requires:       php-autoloader(%{gh_owner}/zend-i18n)             <  3
# Autoloader
Requires:       php-composer(fedora/autoloader)

Provides:       php-composer(%{gh_owner}/%{gh_project}) = %{version}
Provides:       php-autoloader(%{gh_owner}/%{gh_project}) = %{version}


%description
zend-mvc-form is a metapackage that provides a single package for installing
all packages necessary to fully use zend-form under zend-mvc, including:

* zendframework/zend-code
* zendframework/zend-form
* zendframework/zend-i18n

i18n integration: this package only requires zend-i18n, and not zend-mvc-i18n.
This is to allow providing the bare minimum required to use zend-form, as its
base view helper extends from the base zend-i18n view helper. If you want to
provide translations for your form elements, please install zend-mvc-i18n as
well.


%prep
%setup -q -n %{gh_project}-%{gh_commit}

mv LICENSE.md LICENSE


%build
: Create autoloader
cat << 'EOF' | tee autoload.php
<?php
require_once '/usr/share/php/Fedora/Autoloader/autoload.php';
\Fedora\Autoloader\Dependencies::required([
    '%{php_home}/Zend/Code/autoload.php',
    '%{php_home}/Zend/Form/autoload.php',
    '%{php_home}/Zend/I18n/autoload.php',
]);
EOF


%install
install -Dpm 644 autoload.php %{buildroot}%{php_home}/Zend/Mvc/%{library}/autoload.php


%check
: Ensure autoloader works
php -r 'require "%{buildroot}%{php_home}/Zend/Mvc/%{library}/autoload.php";'


%files
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc *.md
%doc composer.json
%{php_home}/Zend/Mvc/%{library}


%changelog
* Sat Feb 02 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Tue Dec 12 2017 Remi Collet <remi@remirepo.net> - 1.0.0-5
- switch from zend-loader to fedora/autoloader

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 26 2016 Remi Collet <remi@fedoraproject.org> - 1.0.0-2
- fix summary

* Wed Jun 29 2016 Remi Collet <remi@fedoraproject.org> - 1.0.0-1
- initial package

